Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/paramet.h
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/paramet.h	(revision 5127)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/paramet.h	(revision 5128)
@@ -18,5 +18,5 @@
 
       PARAMETER( iip1= iim+1,iip2=iim+2,iip3=iim+3                       &
-     &    ,jjp1=jjm+1-1/jjm)
+          ,jjp1=jjm+1-1/jjm)
       PARAMETER( llmp1 = llm+1,  llmp2 = llm+2, llmm1 = llm-1 )
       PARAMETER( kftd  = iim/2 -ndm )
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/comdissip.h
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/comdissip.h	(revision 5127)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/comdissip.h	(revision 5128)
@@ -6,5 +6,5 @@
 
       COMMON/comdissip/                                                 &
-     &    coefdis,tetavel,tetatemp,gamdissip,niterdis
+          coefdis,tetavel,tetatemp,gamdissip,niterdis
 
 
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/comdissipn.h
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/comdissipn.h	(revision 5127)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/comdissipn.h	(revision 5128)
@@ -12,5 +12,5 @@
 
       COMMON/comdissipn/ tetaudiv(llm),tetaurot(llm),tetah(llm)   ,     &
-     &                        cdivu,      crot,         cdivh
+                              cdivu,      crot,         cdivh
 
 !    Les parametres de ce common proviennent des calculs effectues dans 
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/comdissnew.h
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/comdissnew.h	(revision 5127)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/comdissnew.h	(revision 5128)
@@ -12,5 +12,5 @@
 
       COMMON/comdissnew/ lstardis,nitergdiv,nitergrot,niterh,tetagdiv,  &
-     &                   tetagrot,tetatemp,coefdis, vert_prof_dissip
+                         tetagrot,tetatemp,coefdis, vert_prof_dissip
 
       LOGICAL lstardis
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/comgeom.h
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/comgeom.h	(revision 5127)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/comgeom.h	(revision 5128)
@@ -4,28 +4,28 @@
 !CDK comgeom
       COMMON/comgeom/                                                   &
-     & cu(ip1jmp1),cv(ip1jm),unscu2(ip1jmp1),unscv2(ip1jm),             &
-     & aire(ip1jmp1),airesurg(ip1jmp1),aireu(ip1jmp1),                  &
-     & airev(ip1jm),unsaire(ip1jmp1),apoln,apols,                       &
-     & unsairez(ip1jm),airuscv2(ip1jm),airvscu2(ip1jm),                 &
-     & aireij1(ip1jmp1),aireij2(ip1jmp1),aireij3(ip1jmp1),              &
-     & aireij4(ip1jmp1),alpha1(ip1jmp1),alpha2(ip1jmp1),                &
-     & alpha3(ip1jmp1),alpha4(ip1jmp1),alpha1p2(ip1jmp1),               &
-     & alpha1p4(ip1jmp1),alpha2p3(ip1jmp1),alpha3p4(ip1jmp1),           &
-     & fext(ip1jm),constang(ip1jmp1),rlatu(jjp1),rlatv(jjm),            &
-     & rlonu(iip1),rlonv(iip1),cuvsurcv(ip1jm),cvsurcuv(ip1jm),         &
-     & cvusurcu(ip1jmp1),cusurcvu(ip1jmp1),cuvscvgam1(ip1jm),           &
-     & cuvscvgam2(ip1jm),cvuscugam1(ip1jmp1),                           &
-     & cvuscugam2(ip1jmp1),cvscuvgam(ip1jm),cuscvugam(ip1jmp1),         &
-     & unsapolnga1,unsapolnga2,unsapolsga1,unsapolsga2,                 &
-     & unsair_gam1(ip1jmp1),unsair_gam2(ip1jmp1),unsairz_gam(ip1jm),    &
-     & aivscu2gam(ip1jm),aiuscv2gam(ip1jm),xprimu(iip1),xprimv(iip1)
+       cu(ip1jmp1),cv(ip1jm),unscu2(ip1jmp1),unscv2(ip1jm),             &
+       aire(ip1jmp1),airesurg(ip1jmp1),aireu(ip1jmp1),                  &
+       airev(ip1jm),unsaire(ip1jmp1),apoln,apols,                       &
+       unsairez(ip1jm),airuscv2(ip1jm),airvscu2(ip1jm),                 &
+       aireij1(ip1jmp1),aireij2(ip1jmp1),aireij3(ip1jmp1),              &
+       aireij4(ip1jmp1),alpha1(ip1jmp1),alpha2(ip1jmp1),                &
+       alpha3(ip1jmp1),alpha4(ip1jmp1),alpha1p2(ip1jmp1),               &
+       alpha1p4(ip1jmp1),alpha2p3(ip1jmp1),alpha3p4(ip1jmp1),           &
+       fext(ip1jm),constang(ip1jmp1),rlatu(jjp1),rlatv(jjm),            &
+       rlonu(iip1),rlonv(iip1),cuvsurcv(ip1jm),cvsurcuv(ip1jm),         &
+       cvusurcu(ip1jmp1),cusurcvu(ip1jmp1),cuvscvgam1(ip1jm),           &
+       cuvscvgam2(ip1jm),cvuscugam1(ip1jmp1),                           &
+       cvuscugam2(ip1jmp1),cvscuvgam(ip1jm),cuscvugam(ip1jmp1),         &
+       unsapolnga1,unsapolnga2,unsapolsga1,unsapolsga2,                 &
+       unsair_gam1(ip1jmp1),unsair_gam2(ip1jmp1),unsairz_gam(ip1jm),    &
+       aivscu2gam(ip1jm),aiuscv2gam(ip1jm),xprimu(iip1),xprimv(iip1)
 
         REAL                                                            &
-     & cu,cv,unscu2,unscv2,aire,airesurg,aireu,airev,unsaire,apoln     ,&
-     & apols,unsairez,airuscv2,airvscu2,aireij1,aireij2,aireij3,aireij4,&
-     & alpha1,alpha2,alpha3,alpha4,alpha1p2,alpha1p4,alpha2p3,alpha3p4 ,&
-     & fext,constang,rlatu,rlatv,rlonu,rlonv,cuvscvgam1,cuvscvgam2     ,&
-     & cvuscugam1,cvuscugam2,cvscuvgam,cuscvugam,unsapolnga1,unsapolnga2&
-     & ,unsapolsga1,unsapolsga2,unsair_gam1,unsair_gam2,unsairz_gam    ,&
-     & aivscu2gam ,aiuscv2gam,cuvsurcv,cvsurcuv,cvusurcu,cusurcvu,xprimu&
-     & , xprimv
+       cu,cv,unscu2,unscv2,aire,airesurg,aireu,airev,unsaire,apoln     ,&
+       apols,unsairez,airuscv2,airvscu2,aireij1,aireij2,aireij3,aireij4,&
+       alpha1,alpha2,alpha3,alpha4,alpha1p2,alpha1p4,alpha2p3,alpha3p4 ,&
+       fext,constang,rlatu,rlatv,rlonu,rlonv,cuvscvgam1,cuvscvgam2     ,&
+       cvuscugam1,cvuscugam2,cvscuvgam,cuscvugam,unsapolnga1,unsapolnga2&
+       ,unsapolsga1,unsapolsga2,unsair_gam1,unsair_gam2,unsairz_gam    ,&
+       aivscu2gam ,aiuscv2gam,cuvsurcv,cvsurcuv,cvusurcu,cusurcvu,xprimu&
+       , xprimv
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/comgeom2.h
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/comgeom2.h	(revision 5127)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/comgeom2.h	(revision 5128)
@@ -4,30 +4,30 @@
 !CDK comgeom2
       COMMON/comgeom/                                                   &
-     & cu(iip1,jjp1),cv(iip1,jjm),unscu2(iip1,jjp1),unscv2(iip1,jjm)  , &
-     & aire(iip1,jjp1),airesurg(iip1,jjp1),aireu(iip1,jjp1)           , &
-     & airev(iip1,jjm),unsaire(iip1,jjp1),apoln,apols                 , &
-     & unsairez(iip1,jjm),airuscv2(iip1,jjm),airvscu2(iip1,jjm)       , &
-     & aireij1(iip1,jjp1),aireij2(iip1,jjp1),aireij3(iip1,jjp1)       , &
-     & aireij4(iip1,jjp1),alpha1(iip1,jjp1),alpha2(iip1,jjp1)         , &
-     & alpha3(iip1,jjp1),alpha4(iip1,jjp1),alpha1p2(iip1,jjp1)        , &
-     & alpha1p4(iip1,jjp1),alpha2p3(iip1,jjp1),alpha3p4(iip1,jjp1)    , &
-     & fext(iip1,jjm),constang(iip1,jjp1), rlatu(jjp1),rlatv(jjm),      &
-     & rlonu(iip1),rlonv(iip1),cuvsurcv(iip1,jjm),cvsurcuv(iip1,jjm)  , &
-     & cvusurcu(iip1,jjp1),cusurcvu(iip1,jjp1)                        , &
-     & cuvscvgam1(iip1,jjm),cuvscvgam2(iip1,jjm),cvuscugam1(iip1,jjp1), &
-     & cvuscugam2(iip1,jjp1),cvscuvgam(iip1,jjm),cuscvugam(iip1,jjp1) , &
-     & unsapolnga1,unsapolnga2,unsapolsga1,unsapolsga2                , &
-     & unsair_gam1(iip1,jjp1),unsair_gam2(iip1,jjp1)                  , &
-     & unsairz_gam(iip1,jjm),aivscu2gam(iip1,jjm),aiuscv2gam(iip1,jjm)  &
-     & , xprimu(iip1),xprimv(iip1)
+       cu(iip1,jjp1),cv(iip1,jjm),unscu2(iip1,jjp1),unscv2(iip1,jjm)  , &
+       aire(iip1,jjp1),airesurg(iip1,jjp1),aireu(iip1,jjp1)           , &
+       airev(iip1,jjm),unsaire(iip1,jjp1),apoln,apols                 , &
+       unsairez(iip1,jjm),airuscv2(iip1,jjm),airvscu2(iip1,jjm)       , &
+       aireij1(iip1,jjp1),aireij2(iip1,jjp1),aireij3(iip1,jjp1)       , &
+       aireij4(iip1,jjp1),alpha1(iip1,jjp1),alpha2(iip1,jjp1)         , &
+       alpha3(iip1,jjp1),alpha4(iip1,jjp1),alpha1p2(iip1,jjp1)        , &
+       alpha1p4(iip1,jjp1),alpha2p3(iip1,jjp1),alpha3p4(iip1,jjp1)    , &
+       fext(iip1,jjm),constang(iip1,jjp1), rlatu(jjp1),rlatv(jjm),      &
+       rlonu(iip1),rlonv(iip1),cuvsurcv(iip1,jjm),cvsurcuv(iip1,jjm)  , &
+       cvusurcu(iip1,jjp1),cusurcvu(iip1,jjp1)                        , &
+       cuvscvgam1(iip1,jjm),cuvscvgam2(iip1,jjm),cvuscugam1(iip1,jjp1), &
+       cvuscugam2(iip1,jjp1),cvscuvgam(iip1,jjm),cuscvugam(iip1,jjp1) , &
+       unsapolnga1,unsapolnga2,unsapolsga1,unsapolsga2                , &
+       unsair_gam1(iip1,jjp1),unsair_gam2(iip1,jjp1)                  , &
+       unsairz_gam(iip1,jjm),aivscu2gam(iip1,jjm),aiuscv2gam(iip1,jjm)  &
+       , xprimu(iip1),xprimv(iip1)
 
 
       REAL                                                               &
-     & cu,cv,unscu2,unscv2,aire,airesurg,aireu,airev,apoln,apols,unsaire &
-     & ,unsairez,airuscv2,airvscu2,aireij1,aireij2,aireij3,aireij4     , &
-     & alpha1,alpha2,alpha3,alpha4,alpha1p2,alpha1p4,alpha2p3,alpha3p4 , &
-     & fext,constang,rlatu,rlatv,rlonu,rlonv,cuvscvgam1,cuvscvgam2     , &
-     & cvuscugam1,cvuscugam2,cvscuvgam,cuscvugam,unsapolnga1           , &
-     & unsapolnga2,unsapolsga1,unsapolsga2,unsair_gam1,unsair_gam2     , &
-     & unsairz_gam,aivscu2gam,aiuscv2gam,cuvsurcv,cvsurcuv,cvusurcu    , &
-     & cusurcvu,xprimu,xprimv
+       cu,cv,unscu2,unscv2,aire,airesurg,aireu,airev,apoln,apols,unsaire &
+       ,unsairez,airuscv2,airvscu2,aireij1,aireij2,aireij3,aireij4     , &
+       alpha1,alpha2,alpha3,alpha4,alpha1p2,alpha1p4,alpha2p3,alpha3p4 , &
+       fext,constang,rlatu,rlatv,rlonu,rlonv,cuvscvgam1,cuvscvgam2     , &
+       cvuscugam1,cvuscugam2,cvscuvgam,cuscvugam,unsapolnga1           , &
+       unsapolnga2,unsapolsga1,unsapolsga2,unsair_gam1,unsair_gam2     , &
+       unsairz_gam,aivscu2gam,aiuscv2gam,cuvsurcv,cvsurcuv,cvusurcu    , &
+       cusurcvu,xprimu,xprimv
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/exner_hyb_m.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/exner_hyb_m.F90	(revision 5127)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/exner_hyb_m.F90	(revision 5128)
@@ -35,6 +35,6 @@
     USE comconst_mod, ONLY: jmp1, cpp, kappa, r
     USE comvert_mod, ONLY: preff
-    USE lmdz_filtreg, ONLY: filtreg
-    
+    USE lmdz_filtreg, ONLY: filtreg ! < TODO if we uncomment this, compilation fails in 1D because 1D doesn't have the filtrez/ sources... But why does it even compile in the first place when it's commented ? ...
+
     IMPLICIT NONE
     
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dynredem_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dynredem_mod.F90	(revision 5127)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dynredem_mod.F90	(revision 5128)
@@ -250,5 +250,4 @@
 SUBROUTINE err(ierr,typ,nam)
 
-!===============================================================================
   IMPLICIT NONE
 !===============================================================================
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/paramet.h
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/paramet.h	(revision 5127)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/paramet.h	(revision 5128)
@@ -18,5 +18,5 @@
 
       PARAMETER( iip1= iim+1-1/iim,iip2=iim+2,iip3=iim+3                &
-     &    ,jjp1=jjm+1-1/jjm)
+          ,jjp1=jjm+1-1/jjm)
       PARAMETER( llmp1 = llm+1,  llmp2 = llm+2, llmm1 = llm-1 )
       PARAMETER( kftd  = iim/2 -ndm )
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlspltqs_loc.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlspltqs_loc.f90	(revision 5127)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlspltqs_loc.f90	(revision 5128)
@@ -771,6 +771,5 @@
 
     IF (pole_sud) THEN
-
-      convps = -SSUM(iim, qbyv(ip1jm - iim, l, iq), iq, 1) / apols  ! /!\ called with 4 args ???
+      convps = -SSUM(iim, qbyv(ip1jm - iim, l, iq), 1) / apols
       convmps = -SSUM(iim, masse_adv_v(ip1jm - iim, l), 1) / apols
       DO ij = ip1jm + 1, ip1jmp1
@@ -780,5 +779,4 @@
         masse(ij, l, iq) = newmasse
       ENDDO
-
     ENDIF
     !.-. fin ancienne version
Index: /LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/etat0dyn_netcdf.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/etat0dyn_netcdf.F90	(revision 5127)
+++ /LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/etat0dyn_netcdf.F90	(revision 5128)
@@ -204,5 +204,6 @@
   SUBROUTINE startget_dyn3d(var, lon_in, lat_in, pls, workvar, &
           champ, lon_in2, lat_in2)
-    !-------------------------------------------------------------------------------
+
+
     IMPLICIT NONE
     !===============================================================================
@@ -396,4 +397,5 @@
     USE lmdz_libmath, ONLY: minmax
 
+
     IMPLICIT NONE
     !-------------------------------------------------------------------------------
Index: /LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/limit_netcdf.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/limit_netcdf.f90	(revision 5127)
+++ /LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/limit_netcdf.f90	(revision 5128)
@@ -653,7 +653,7 @@
 
     SUBROUTINE start_init_orog0(lon_in, lat_in, phis, masque)
-
-      !-------------------------------------------------------------------------------
       USE grid_noro_m, ONLY: grid_noro0
+
+
       IMPLICIT NONE
       !===============================================================================
Index: /LMDZ6/branches/Amaury_dev/libf/filtrez/lmdz_filtre_fft_loc.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/filtrez/lmdz_filtre_fft_loc.F90	(revision 5128)
+++ /LMDZ6/branches/Amaury_dev/libf/filtrez/lmdz_filtre_fft_loc.F90	(revision 5128)
@@ -0,0 +1,342 @@
+MODULE lmdz_filtre_fft_loc
+  IMPLICIT NONE; PRIVATE
+  PUBLIC use_filtre_fft, filtre_u, filtre_v, filtre_inv, init_filtre_fft, filtre_u_fft, &
+          filtre_v_fft, filtre_inv_fft
+
+  LOGICAL, SAVE :: use_filtre_fft
+  REAL, SAVE, ALLOCATABLE :: Filtre_u(:, :)
+  REAL, SAVE, ALLOCATABLE :: Filtre_v(:, :)
+  REAL, SAVE, ALLOCATABLE :: Filtre_inv(:, :)
+
+CONTAINS
+
+  SUBROUTINE Init_filtre_fft(coeffu, modfrstu, jfiltnu, jfiltsu, coeffv, modfrstv, jfiltnv, jfiltsv)
+    USE lmdz_fft
+    IMPLICIT NONE
+    include 'dimensions.h'
+    REAL, INTENT(IN) :: coeffu(iim, jjm)
+    INTEGER, INTENT(IN) :: modfrstu(jjm)
+    INTEGER, INTENT(IN) :: jfiltnu
+    INTEGER, INTENT(IN) :: jfiltsu
+    REAL, INTENT(IN) :: coeffv(iim, jjm)
+    INTEGER, INTENT(IN) :: modfrstv(jjm)
+    INTEGER, INTENT(IN) :: jfiltnv
+    INTEGER, INTENT(IN) :: jfiltsv
+
+    INTEGER :: index_vp(iim)
+    INTEGER :: i, j
+
+    index_vp(1) = 1
+    DO i = 1, iim / 2
+      index_vp(i + 1) = i * 2
+    ENDDO
+
+    DO i = 1, iim / 2 - 1
+      index_vp(iim / 2 + i + 1) = iim - 2 * i + 1
+    ENDDO
+
+    ALLOCATE(Filtre_u(iim, jjm))
+    ALLOCATE(Filtre_v(iim, jjm))
+    ALLOCATE(Filtre_inv(iim, jjm))
+
+    DO j = 2, jfiltnu
+      DO i = 1, iim
+        IF (index_vp(i) < modfrstu(j)) THEN
+          Filtre_u(i, j) = 0
+        ELSE
+          Filtre_u(i, j) = coeffu(index_vp(i), j)
+        ENDIF
+      ENDDO
+    ENDDO
+
+    DO j = jfiltsu, jjm
+      DO i = 1, iim
+        IF (index_vp(i) < modfrstu(j)) THEN
+          Filtre_u(i, j) = 0
+        ELSE
+          Filtre_u(i, j) = coeffu(index_vp(i), j)
+        ENDIF
+      ENDDO
+    ENDDO
+
+    DO j = 1, jfiltnv
+      DO i = 1, iim
+        IF (index_vp(i) < modfrstv(j)) THEN
+          Filtre_v(i, j) = 0
+        ELSE
+          Filtre_v(i, j) = coeffv(index_vp(i), j)
+        ENDIF
+      ENDDO
+    ENDDO
+
+    DO j = jfiltsv, jjm
+      DO i = 1, iim
+        IF (index_vp(i) < modfrstv(j)) THEN
+          Filtre_v(i, j) = 0
+        ELSE
+          Filtre_v(i, j) = coeffv(index_vp(i), j)
+        ENDIF
+      ENDDO
+    ENDDO
+
+    DO j = 2, jfiltnu
+      DO i = 1, iim
+        IF (index_vp(i) < modfrstu(j)) THEN
+          Filtre_inv(i, j) = 0
+        ELSE
+          Filtre_inv(i, j) = coeffu(index_vp(i), j) / (1. + coeffu(index_vp(i), j))
+        ENDIF
+      ENDDO
+    ENDDO
+
+    DO j = jfiltsu, jjm
+      DO i = 1, iim
+        IF (index_vp(i) < modfrstu(j)) THEN
+          Filtre_inv(i, j) = 0
+        ELSE
+          Filtre_inv(i, j) = coeffu(index_vp(i), j) / (1. + coeffu(index_vp(i), j))
+        ENDIF
+      ENDDO
+    ENDDO
+
+
+    !    CALL Init_FFT(iim,(jjm+1)*(llm+1))
+
+  END SUBROUTINE Init_filtre_fft
+
+  SUBROUTINE Filtre_u_fft(vect_inout, jjb, jje, jj_begin, jj_end, nbniv)
+    USE lmdz_fft
+#ifdef CPP_PARA
+    USE parallel_lmdz,ONLY: OMP_CHUNK
+#endif
+    IMPLICIT NONE
+    include 'dimensions.h'
+    INTEGER, INTENT(IN) :: jjb
+    INTEGER, INTENT(IN) :: jje
+    INTEGER, INTENT(IN) :: jj_begin
+    INTEGER, INTENT(IN) :: jj_end
+    INTEGER, INTENT(IN) :: nbniv
+    REAL, INTENT(INOUT) :: vect_inout(iim + 1, jjb:jje, nbniv)
+
+    REAL :: vect(iim + inc, jj_end - jj_begin + 1, nbniv)
+    COMPLEX :: TF_vect(iim / 2 + 1, jj_end - jj_begin + 1, nbniv)
+    INTEGER :: nb_vect
+    INTEGER :: i, j, l
+    INTEGER :: ll_nb
+    !    REAL               :: vect_tmp(iim+inc,jj_end-jj_begin+1,nbniv)
+
+    ll_nb = 0
+    !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
+    DO l = 1, nbniv
+      ll_nb = ll_nb + 1
+      DO j = 1, jj_end - jj_begin + 1
+        DO i = 1, iim + 1
+          vect(i, j, ll_nb) = vect_inout(i, j + jj_begin - 1, l)
+        ENDDO
+      ENDDO
+    ENDDO
+    !$OMP END DO NOWAIT
+
+    nb_vect = (jj_end - jj_begin + 1) * ll_nb
+
+    !    vect_tmp=vect
+
+    CALL FFT_forward(vect, TF_vect, nb_vect)
+
+    !    CALL FFT_forward(vect,TF_vect_test,nb_vect)
+    !      PRINT *,"XXXXXXXXXXXXX Filtre_u_FFT xxxxxxxxxxxx"
+    !      DO j=1,jj_end-jj_begin+1
+    !      DO i=1,iim/2+1
+    !         PRINT *,"====",i,j,"----->",TF_vect_test(i,j,1)
+    !       ENDDO
+    !      ENDDO
+
+    DO l = 1, ll_nb
+      DO j = 1, jj_end - jj_begin + 1
+        DO i = 1, iim / 2 + 1
+          TF_vect(i, j, l) = TF_vect(i, j, l) * Filtre_u(i, jj_begin + j - 1)
+        ENDDO
+      ENDDO
+    ENDDO
+
+    CALL FFT_backward(TF_vect, vect, nb_vect)
+    !    CALL FFT_backward(TF_vect_test,vect_test,nb_vect)
+
+    !      PRINT *,"XXXXXXXXXXXXX Filtre_u_FFT xxxxxxxxxxxx"
+    !      DO j=1,jj_end-jj_begin+1
+    !         DO i=1,iim
+    !           PRINT *,"====",i,j,"----->",vect_test(i,j,1)
+    !         ENDDO
+    !      ENDDO
+
+    ll_nb = 0
+    !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
+    DO l = 1, nbniv
+      ll_nb = ll_nb + 1
+      DO j = 1, jj_end - jj_begin + 1
+        DO i = 1, iim + 1
+          vect_inout(i, j + jj_begin - 1, l) = vect(i, j, ll_nb)
+        ENDDO
+      ENDDO
+    ENDDO
+    !$OMP END DO NOWAIT
+
+  END SUBROUTINE Filtre_u_fft
+
+
+  SUBROUTINE Filtre_v_fft(vect_inout, jjb, jje, jj_begin, jj_end, nbniv)
+    USE lmdz_fft
+#ifdef CPP_PARA
+    USE parallel_lmdz,ONLY: OMP_CHUNK
+#endif
+    IMPLICIT NONE
+    INCLUDE 'dimensions.h'
+    INTEGER, INTENT(IN) :: jjb
+    INTEGER, INTENT(IN) :: jje
+    INTEGER, INTENT(IN) :: jj_begin
+    INTEGER, INTENT(IN) :: jj_end
+    INTEGER, INTENT(IN) :: nbniv
+    REAL, INTENT(INOUT) :: vect_inout(iim + 1, jjb:jje, nbniv)
+
+    REAL :: vect(iim + inc, jj_end - jj_begin + 1, nbniv)
+    COMPLEX :: TF_vect(iim / 2 + 1, jj_end - jj_begin + 1, nbniv)
+    INTEGER :: nb_vect
+    INTEGER :: i, j, l
+    INTEGER :: ll_nb
+
+    ll_nb = 0
+    !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
+    DO l = 1, nbniv
+      ll_nb = ll_nb + 1
+      DO j = 1, jj_end - jj_begin + 1
+        DO i = 1, iim + 1
+          vect(i, j, ll_nb) = vect_inout(i, j + jj_begin - 1, l)
+        ENDDO
+      ENDDO
+    ENDDO
+    !$OMP END DO NOWAIT
+
+    nb_vect = (jj_end - jj_begin + 1) * ll_nb
+
+    CALL FFT_forward(vect, TF_vect, nb_vect)
+
+    DO l = 1, ll_nb
+      DO j = 1, jj_end - jj_begin + 1
+        DO i = 1, iim / 2 + 1
+          TF_vect(i, j, l) = TF_vect(i, j, l) * Filtre_v(i, jj_begin + j - 1)
+        ENDDO
+      ENDDO
+    ENDDO
+
+    CALL FFT_backward(TF_vect, vect, nb_vect)
+
+    ll_nb = 0
+    !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
+    DO l = 1, nbniv
+      ll_nb = ll_nb + 1
+      DO j = 1, jj_end - jj_begin + 1
+        DO i = 1, iim + 1
+          vect_inout(i, j + jj_begin - 1, l) = vect(i, j, ll_nb)
+        ENDDO
+      ENDDO
+    ENDDO
+    !$OMP END DO NOWAIT
+
+  END SUBROUTINE Filtre_v_fft
+
+
+  SUBROUTINE Filtre_inv_fft(vect_inout, jjb, jje, jj_begin, jj_end, nbniv)
+    USE lmdz_fft
+#ifdef CPP_PARA
+    USE parallel_lmdz,ONLY: OMP_CHUNK
+#endif
+    IMPLICIT NONE
+    INCLUDE 'dimensions.h'
+    INTEGER, INTENT(IN) :: jjb
+    INTEGER, INTENT(IN) :: jje
+    INTEGER, INTENT(IN) :: jj_begin
+    INTEGER, INTENT(IN) :: jj_end
+    INTEGER, INTENT(IN) :: nbniv
+    REAL, INTENT(INOUT) :: vect_inout(iim + 1, jjb:jje, nbniv)
+
+    REAL :: vect(iim + inc, jj_end - jj_begin + 1, nbniv)
+    COMPLEX :: TF_vect(iim / 2 + 1, jj_end - jj_begin + 1, nbniv)
+    INTEGER :: nb_vect
+    INTEGER :: i, j, l
+    INTEGER :: ll_nb
+
+    ll_nb = 0
+    !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
+    DO l = 1, nbniv
+      ll_nb = ll_nb + 1
+      DO j = 1, jj_end - jj_begin + 1
+        DO i = 1, iim + 1
+          vect(i, j, ll_nb) = vect_inout(i, j + jj_begin - 1, l)
+        ENDDO
+      ENDDO
+    ENDDO
+    !$OMP END DO NOWAIT
+
+    nb_vect = (jj_end - jj_begin + 1) * ll_nb
+
+    CALL FFT_forward(vect, TF_vect, nb_vect)
+
+    DO l = 1, ll_nb
+      DO j = 1, jj_end - jj_begin + 1
+        DO i = 1, iim / 2 + 1
+          TF_vect(i, j, l) = TF_vect(i, j, l) * Filtre_inv(i, jj_begin + j - 1)
+        ENDDO
+      ENDDO
+    ENDDO
+
+    CALL FFT_backward(TF_vect, vect, nb_vect)
+
+    ll_nb = 0
+    !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
+    DO l = 1, nbniv
+      ll_nb = ll_nb + 1
+      DO j = 1, jj_end - jj_begin + 1
+        DO i = 1, iim + 1
+          vect_inout(i, j + jj_begin - 1, l) = vect(i, j, ll_nb)
+        ENDDO
+      ENDDO
+    ENDDO
+    !$OMP END DO NOWAIT
+
+  END SUBROUTINE Filtre_inv_fft
+
+
+  !  SUBROUTINE get_ll_index(nbniv,ll_index,ll_nb)
+  !  IMPLICIT NONE
+  !    INTEGER,INTENT(IN)  :: nbniv
+  !    INTEGER,INTENT(OUT) :: ll_index(nbniv)
+  !    INTEGER,INTENT(OUT) :: ll_nb
+
+  !    INTEGER :: l,ll_begin, ll_end
+  !   INTEGER :: omp_rank,omp_size
+  !   INTEGER :: OMP_GET_NUM_THREADS
+  !   INTEGER :: omp_chunk
+  !   EXTERNAL OMP_GET_NUM_THREADS
+  !   INTEGER :: OMP_GET_THREAD_NUM
+  !   EXTERNAL OMP_GET_THREAD_NUM
+
+
+  !   omp_size=OMP_GET_NUM_THREADS()
+  !   omp_rank=OMP_GET_THREAD_NUM()
+  !   omp_chunk=nbniv/omp_size+min(1,MOD(nbniv,omp_size))
+
+  !   ll_begin=omp_rank*OMP_CHUNK+1
+  !   ll_nb=0
+  !   DO WHILE (ll_begin<=nbniv)
+  !     ll_end=min(ll_begin+OMP_CHUNK-1,nbniv)
+  !     DO l=ll_begin,ll_end
+  !       ll_nb=ll_nb+1
+  !       ll_index(ll_nb)=l
+  !     ENDDO
+  !     ll_begin=ll_begin+omp_size*OMP_CHUNK
+  !   ENDDO
+
+  !  END SUBROUTINE get_ll_index
+
+END MODULE lmdz_filtre_fft_loc
+ 
Index: /LMDZ6/branches/Amaury_dev/libf/misc/lmdz_NOMODULE_abort_gcm.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/misc/lmdz_NOMODULE_abort_gcm.f90	(revision 5128)
+++ /LMDZ6/branches/Amaury_dev/libf/misc/lmdz_NOMODULE_abort_gcm.f90	(revision 5128)
@@ -0,0 +1,56 @@
+! $Id: abort_gcm.F 1747 2013-04-23 14:06:30Z lguez $
+
+! /!\ We can't put this in a module right away with FCM1, as this creates a circular dependency e.g. with wxios through lmdz_iniprint
+
+SUBROUTINE abort_gcm(modname, ierr, message)
+  !END
+  ! Stops the simulation cleanly, closing files and printing various
+  ! comments
+  !
+  !  Input: modname = name of calling program
+  !     message = stuff to print
+  !     ierr    = severity of situation ( = 0 normal )
+
+  USE IOIPSL, ONLY: histclo, restclo, getin_dump
+  USE lmdz_wxios, ONLY: using_xios, wxios_close
+  USE lmdz_phys_mpi_data, ONLY: mpi_rank
+  USE lmdz_mpi, ONLY: using_mpi
+  USE mod_const_mpi, ONLY: comm_lmdz
+  USE lmdz_iniprint, ONLY: lunout, prt_level
+  IMPLICIT NONE
+
+  CHARACTER(LEN = *), INTENT(IN) :: modname
+  INTEGER, INTENT(IN) :: ierr
+  CHARACTER(LEN = *), INTENT(IN) :: message
+
+  INTEGER :: ierror_mpi
+
+  WRITE(lunout, *) 'in abort_gcm'
+
+  IF (using_xios) THEN !Fermeture propre de XIOS
+    CALL wxios_close()
+  ENDIF
+
+  !$OMP MASTER
+  CALL histclo
+  CALL restclo
+  IF (mpi_rank == 0) THEN
+    CALL getin_dump
+  ENDIF
+  !$OMP END MASTER
+  WRITE(lunout, *) 'Stopping in ', modname
+  WRITE(lunout, *) 'Reason = ', message
+  IF (ierr == 0) THEN
+    WRITE(lunout, *) 'Everything is cool'
+  ELSE
+    WRITE(lunout, *) 'Houston, we have a problem, ierr = ', ierr
+
+    IF (using_mpi) THEN
+      !$OMP CRITICAL (MPI_ABORT_GCM)
+      CALL MPI_ABORT(comm_lmdz, 1, ierror_mpi)
+      !$OMP END CRITICAL (MPI_ABORT_GCM)
+    ELSE
+      STOP 1
+    END IF
+  ENDIF
+END SUBROUTINE abort_gcm
